> For the complete documentation index, see [llms.txt](https://docs.net2grid.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.net2grid.com/device-management-api/label-partner-configuration/labelpartners-labelpartner-streamer-continuous-lr-configuration.md).

# /labelpartners/{labelpartner}/streamer/continuous-lr/configuration

Sets the configuration of continuous reporting of low-resolution measurements for all devices registered to a specific label partner. The configuration includes the following parameters:

* `is_csd_enabled`: A boolean flag indicating whether Continuous Low Resolution Energy Reporting is enabled for CSD.
* `is_csr_enabled`: A boolean flag indicating whether Continuous Low Resolution Energy Reporting is enabled for CSR.
* `is_gas_enabled`: A boolean flag indicating whether Continuous Low Resolution Energy Reporting is enabled for GAS.
* `is_tier_enabled`: A boolean flag indicating whether the tier-based energy import/export metrics (OBIS `1-0:1.8.1`, `1-0:1.8.2`, `1-0:2.8.1`, `1-0:2.8.2`) are reported. All 4 tier metrics are reported together; they cannot be enabled individually.
* `reporting_interval`: The reporting interval which indicates how often metrics will be reported.

```json
{"openapi":"3.0.1","info":{"title":"Device Management API","version":"1.7.0"},"tags":[{"name":"Label Partner Configuration","description":"Commands to configure all devices of a specific label partner"}],"servers":[{"url":"https://device-management.n2g-{platform}.net/v2","variables":{"platform":{"default":"dev","description":"The platform name"}}}],"security":[{"api_key":[]}],"components":{"securitySchemes":{"api_key":{"type":"apiKey","name":"x-api-key","in":"header"}},"parameters":{"LabelPartner":{"name":"labelpartner","in":"path","description":"The label partner short name","required":true,"schema":{"type":"string"}}},"schemas":{"ContinuousLrConfiguration":{"type":"object","description":"Configuration for Continuous Low Resolution Energy Reporting","required":["is_csr_enabled","is_csd_enabled","is_gas_enabled","is_tier_enabled","reporting_interval"],"properties":{"is_csd_enabled":{"type":"boolean","description":"A boolean flag indicating whether Continuous Low Resolution Energy Reporting is enabled for CSD. If true, CSD measurements will be included in the Continuous Low Resolution Energy Stream. If false, CSD measurements will not be included in the stream. If empty, the configuration will not be updated.\n"},"is_csr_enabled":{"type":"boolean","description":"A boolean flag indicating whether Continuous Low Resolution Energy Reporting is enabled for CSR. If true, CSR measurements will be included in the Continuous Low Resolution Energy Stream. If false, CSR measurements will not be included in the stream. If empty, the configuration will not be updated.\n"},"is_gas_enabled":{"type":"boolean","description":"A boolean flag indicating whether Continuous Low Resolution Energy Reporting is enabled for GAS. If true, GAS measurements will be included in the Continuous Low Resolution Energy Stream. If false, GAS measurements will not be included in the stream. If empty, the configuration will not be updated.\n"},"is_tier_enabled":{"type":"boolean","description":"A boolean flag indicating whether the tier-based energy import/export metrics (Active energy import Tier 1/2, Active energy export Tier 1/2) are enabled for Continuous Low Resolution Energy Reporting. If true, all 4 tier metrics will be included in the Continuous Low Resolution Energy Stream. Tier metrics cannot be enabled individually. If false, no tier metrics will be included in the stream.\n"},"reporting_interval":{"type":"integer","enum":[15,30,60],"description":"The reporting interval which indicates how often metrics will be reported."}}},"SuccessfulResponse":{"type":"object","required":["message"],"properties":{"message":{"type":"string","description":"The success message returned."}}},"ErrorResponse":{"type":"object","required":["message"],"properties":{"message":{"type":"string","description":"The error message returned."},"code":{"type":"integer","description":"The error code returned."}}}},"responses":{"LabelPartnerNotFoundOrEmptyErrorResponse":{"description":"Not found:\n  - The thing group '{labelpartner}' was not found in the registry.\n  - The thing group '{labelpartner}' does not have any IoT Things associated with it.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"InternalServerErrorResponse":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}},"paths":{"/labelpartners/{labelpartner}/streamer/continuous-lr/configuration":{"put":{"summary":"/labelpartners/{labelpartner}/streamer/continuous-lr/configuration","description":"Sets the configuration of continuous reporting of low-resolution measurements for all devices registered to a specific label partner. The configuration includes the following parameters:\n  - `is_csd_enabled`: A boolean flag indicating whether Continuous Low Resolution Energy Reporting is enabled for CSD.\n  - `is_csr_enabled`: A boolean flag indicating whether Continuous Low Resolution Energy Reporting is enabled for CSR.\n  - `is_gas_enabled`: A boolean flag indicating whether Continuous Low Resolution Energy Reporting is enabled for GAS.\n  - `is_tier_enabled`: A boolean flag indicating whether the tier-based energy import/export metrics (OBIS `1-0:1.8.1`, `1-0:1.8.2`, `1-0:2.8.1`, `1-0:2.8.2`) are reported. All 4 tier metrics are reported together; they cannot be enabled individually.\n  - `reporting_interval`: The reporting interval which indicates how often metrics will be reported.\n","operationId":"putLabelPartnerStreamerContinuousLrConfiguration","tags":["Label Partner Configuration"],"parameters":[{"$ref":"#/components/parameters/LabelPartner"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContinuousLrConfiguration"}}}},"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessfulResponse"}}}},"400":{"description":"Invalid request:\n  - Request body is required but was not provided.\n  - Schema validation failed due to error: Missing required key: '{key}'\n  - Schema validation failed due to error: Invalid key: '{key}'\n  - Schema validation failed due to error: Invalid type for key: '{key}'\n  - Schema validation failed due to error: Invalid value for key: '{key}'\n  - The streamer continuous lr report mode is disabled for the label partner '{key}'\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"$ref":"#/components/responses/LabelPartnerNotFoundOrEmptyErrorResponse"},"500":{"$ref":"#/components/responses/InternalServerErrorResponse"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.net2grid.com/device-management-api/label-partner-configuration/labelpartners-labelpartner-streamer-continuous-lr-configuration.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
